function top=ExtractMaxFromHeap(EE)
%EXTRACTMAXFROMHEAP - Extract top and adjust heap
%call top=ExtractMaxFromHeap(EE)
%EE - Error estimation
%top - index ef triangle with maximum EE

%global vars
%Heap - heap array
%nH - heap size

global Heap nH
top=Heap(1);
great=EE(Heap(nH));
nH=nH-1;
child=1;
parent=2*child;
while parent <= nH
    if parent ~= nH 
        %find max of left and right child
        if EE(Heap(parent))<EE(Heap(parent+1))
            parent=parent+1;
        end %if
    end %if
    %compare max. child with parent
    %If parent is max., then done
    if great < EE(Heap(parent))
        %move the pointer at pos. parent up the heap
        Heap(child)=Heap(parent); child=parent;
        parent=2*child;
    else
        break
    end %if
end %while
%update the pointer
if nH>0
    Heap(child)=Heap(nH+1);
end