function InsertIntoHeap(EE,iT)
%INSERTINTOHEAP - insert into a heap of triangles
%call InsertIntoHeap(EE,iT)
%EE - error estimation
%iT - index of triangle to be inserted

%global vars 
% Heap -heap
% nH - Heap size
global Heap nH
lh=length(Heap); nH=nH+1;
if nH>lh
    lh=lh+1000; Heap(lh)=0;
end;
Heap(nH)=iT;
great=EE(iT);
child=nH; parent=fix(child/2);
while (parent>=1) & (great > EE(Heap(parent)))
    Heap(child)=Heap(parent);
    child=parent;
    parent=fix(child/2);
end
Heap(child)=iT;